Jump to content
  • Advertisement
Sign in to follow this  
Khaos Dragon

troubles in starting with PhysX

This topic is 4253 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

I can't get the latest version of the PhysX/Novodex API to work. It cannot get past the first step which is the following: NxPhysicsSDK* gPhysicsSDK = NULL; gPhysicsSDK = NxCreatePhysicsSDK(NX_PHYSICS_SDK_VERSION ); if(!gPhysicsSDK) return 0;

Share this post


Link to post
Share on other sites
Advertisement
do you have the system software installed? (do the example projects compile and run?)
are compiling against the correct version?

Share this post


Link to post
Share on other sites
Guest Anonymous Poster
You can skip a line btw...

NxPhysicsSDK* gPhysicsSDK = NxCreatePhysicsSDK( NX_PHYSICS_SDK_VERSION );
if(!gPhysicsSDK)
return 0;

Does NxCreatePhysicsSDK() return a pointer? Does the SDK have a method to check for internal errors?

Check out this link (sorry as an AP I cannot make it clicky):
http://www.ogre3d.org/phpBB2addons/viewtopic.php?t=2646&sid=d9b6eda71c1c84557784419baa637b91

Share this post


Link to post
Share on other sites
I am downloading the PhysX Drivers. However the drivers only cover the following versions:
2.6.0, 2.5.1, 2.5.0, 2.4.4, 2.4.1, 2.4.0, 2.3.3, 2.3.2, 2.3.1

My SDK is version 2.6.2, would AGEIA release an SDK that had no support? I guess I'll find out in about an hour when this download finishes.

Share this post


Link to post
Share on other sites
For the 2.6.2 SDK you will need the latest PhysX_6.11.01_SystemSoftware.exe
There is also a note under the download:
Quote:
Please note: The 6.11.01 system software available here does not handle downgrades correctly. If a user forces an install of an older driver over this one, the PhysX runtime software may be left in an unusable state. We are aware of the issue and are working to resolve it.

Both the 2.6.2 SDK and the 6.11.01 system software should be available under downloads on devsupport.ageia.com

Regards,
ViLiO

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

We are the game development community.

Whether you are an indie, hobbyist, AAA developer, or just trying to learn, GameDev.net is the place for you to learn, share, and connect with the games industry. Learn more About Us or sign up!

Sign me up!